import {fetchBase} from '@/api/doctor/doctorFetch'

//查询居民信息
export function getChronicResidentsId(residentInfoId) {
    return fetchBase({ url: `/v1/chronic-residents-record/resident-info`,body:{"residentInfoId":residentInfoId},loading: true})
}

// 主键查询
export function fetchCurrencyById(params) {
    return fetchBase({ url: `/v1/chronic-visit-currency/record`, body: params, loading: true })
}

// 慢性病管理列表查询
export function getResidentByPage(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-residents-record/page`, body: params, loading: true })
}

// 查询待随访列表
export function getVisitAll(params, loading = true) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-task/query-all-list`, body: params, loading })
}